import { PluginResponseDto, PluginTriggerResponseDto } from 'src/dtos/plugin.dto';
import { PluginService } from 'src/services/plugin.service';
import { UUIDParamDto } from 'src/validation';
export declare class PluginController {
    private service;
    constructor(service: PluginService);
    getPluginTriggers(): PluginTriggerResponseDto[];
    getPlugins(): Promise<PluginResponseDto[]>;
    getPlugin({ id }: UUIDParamDto): Promise<PluginResponseDto>;
}
